import type { NodeFormatProps } from '@antv/gi-common-components';
import React from 'react';
import './index.less';
export interface CommunityDiscoveryProps extends NodeFormatProps {
    style?: React.CSSProperties;
    controlledValues?: {
        algorithm: string;
        seedNodeId: string | null;
    };
    onOpen?: () => void;
    nodeSelectionMode: string[];
    nodeLabel: string;
}
export declare enum NodesSimilarityAlgorithm {
    nodesConsineSimilarity = "nodes-cosine-similarity"
}
declare const _default: React.NamedExoticComponent<CommunityDiscoveryProps>;
export default _default;
