"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.SPLITOR = exports.ITEM_STATE = void 0;
var _giSdk = require("@antv/gi-sdk");
var _info = _interopRequireDefault(require("./info"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var SPLITOR = '|SPLITOR|';
exports.SPLITOR = SPLITOR;
var ITEM_STATE;
exports.ITEM_STATE = ITEM_STATE;
(function (ITEM_STATE) {
  ITEM_STATE["Active"] = "active";
  ITEM_STATE["Default"] = "default";
  ITEM_STATE["Selected"] = "selected";
  ITEM_STATE["Disable"] = "disable";
  ITEM_STATE["Highlight"] = "highlight";
  ITEM_STATE["Inactive"] = "inactive";
})(ITEM_STATE || (exports.ITEM_STATE = ITEM_STATE = {}));
var GIAC_CONTENT_METAS = _giSdk.extra.GIAC_CONTENT_METAS,
  deepClone = _giSdk.extra.deepClone;
var metas = deepClone(GIAC_CONTENT_METAS);
metas.GIAC_CONTENT.properties.GIAC_CONTENT.properties.title.default = _info.default.name;
metas.GIAC_CONTENT.properties.GIAC_CONTENT.properties.icon.default = _info.default.icon;
var _default = function _default() {
  return Object.assign({}, metas);
};
exports.default = _default;